# Ad Exchange Buyer API . clientaccess

## Instance Methods

A description of how to use this function

A description of how to use this function

A description of how to use this function

A description of how to use this function

A description of how to use this function

A description of how to use this function

### Method Details

`delete(clientAccountId, sponsorAccountId)`

    A description of how to use this function

    Args:
      clientAccountId: string, A parameter (required)
      sponsorAccountId: integer, A parameter (required)

`get(clientAccountId, sponsorAccountId)`

    A description of how to use this function

    Args:
      clientAccountId: string, A parameter (required)
      sponsorAccountId: integer, A parameter (required)

    Returns:
      An object of the form:

        {
          "clientAccountId": "A String",
          "capabilities": [
            42,
          ],
        }

`insert(body, clientAccountId=None, sponsorAccountId=None)`

    A description of how to use this function

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "clientAccountId": "A String",
        "capabilities": [
          42,
        ],
      }

      clientAccountId: string, A parameter
      sponsorAccountId: integer, A parameter

    Returns:
      An object of the form:

        {
          "clientAccountId": "A String",
          "capabilities": [
            42,
          ],
        }

`list()`

    A description of how to use this function

    Args:

    Returns:
      An object of the form:

        {
        "clientAccessPermissions": [
          {
              "clientAccountId": "A String",
              "capabilities": [
                42,
              ],
            },
        ],
      }

`patch(clientAccountId, sponsorAccountId, body)`

    A description of how to use this function

    Args:
      clientAccountId: string, A parameter (required)
      sponsorAccountId: integer, A parameter (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "clientAccountId": "A String",
        "capabilities": [
          42,
        ],
      }

    Returns:
      An object of the form:

        {
          "clientAccountId": "A String",
          "capabilities": [
            42,
          ],
        }

`update(clientAccountId, sponsorAccountId, body)`

    A description of how to use this function

    Args:
      clientAccountId: string, A parameter (required)
      sponsorAccountId: integer, A parameter (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "clientAccountId": "A String",
        "capabilities": [
          42,
        ],
      }

    Returns:
      An object of the form:

        {
          "clientAccountId": "A String",
          "capabilities": [
            42,
          ],
        }